List deals
Returns a paginated list of deals, with optional filters.
Endpoint
GET/deals
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
organization_id | integer | No | Only deals of this organization. |
| any deal field | mixed | No | Filter with Feathers syntax, e.g. status=open, pipeline_id=10, pipeline_stage_id[$in][]=101, contact_id=123, expected_close_date[$lte]=2026-06-30. |
view_id | integer | No | Apply the filters of a saved deals view. |
fastJoinForDealsList | string | No | Set to true to embed related data (see embedded data). |
includeDealActivities | string | No | With fastJoinForDealsList: false to leave out pending activities. Default true. |
includeDealActivitySummary | string | No | With fastJoinForDealsList: true to add activitySummary. Default false. |
includeDealWatchers | string | No | With fastJoinForDealsList: false to leave out watchers. Default true. |
$limit | integer | No | Page size. Default 10, max 50. |
$skip | integer | No | Number of records to skip. |
$sort[field] | 1 | -1 | No | Sort, e.g. $sort[created_at]=-1. |
$select[] | string | No | Only return these fields. |
Request
Response
json
Each item is a full deal object; it is shortened here.
Report an issue with this documentation
Please log in to report issues with our documentation.